CP(1)

NAZWA
cp - kopiuje pliki i katalogi

SKŁADNIA
cp [OPCJA]... [-T] ŹRÓDŁO CEL
cp [OPCJA]... ŹRÓDŁO... KATALOG
cp [OPCJA]... -t KATALOG ŹRÓDŁO...

OPIS

Kopiuje ŹRÓDŁO do CELU lub wiele ŹRÓDEŁ do KATALOGU.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --archive
    równoważne -dR --preserve=all

--attributes-only
    nie kopiuje danych, lecz same atrybuty pliku

--backup[=METODA]
    tworzy kopię zapasową każdego istniejącego pliku docelowego

-b  jak --backup, lecz nie przyjmuje argumentu

--copy-contents
    podczas kopiowania rekursywnego kopiuje zawartość plików specjalnych

-d  równoważne --no-dereference --preserve=links

--debug
    explain how a file is copied. Implies -v

-f, --force
    jeśli istniejący plik docelowy nie może zostać otwarty, usuwa go i próbuje ponownie (opcja ta jest ignorowana, jeśli użyto też opcji -n)

-i, --interactive
    pyta przed nadpisywaniem (ma pierwszeństwo przed wcześniejszą opcją -n)

-H  podąża za dowiązaniami symbolicznymi z wiersza poleceń w ŹRÓDLE

-l, --link
    tworzy dowiązania twarde zamiast kopii

-L, --dereference
    zawsze podąża za dowiązaniami symbolicznymi w ŹRÓDLE

-n, --no-clobber
    do not overwrite an existing file (overrides a -u or previous -i option). See also --update

-P, --no-dereference
    nigdy nie podąża za dowiązaniami symbolicznymi w ŹRÓDLE

-p  równoważne --preserve=mode,ownership,timestamps

--preserve[=LISTA-ATRYB]
    preserve the specified attributes

--no-preserve=LISTA-ATRYB
    nie zachowuje podanych atrybutów

--parents
    używa pełnej nazwy pliku źródłowego pod KATALOGIEM

-R, -r, --recursive
    kopiuje katalogi rekurencyjnie

--reflink[=KIEDY]
    kontroluje klonowanie/kopiowanie przy zapisie. Patrz niżej

--remove-destination
    usuwa każdy istniejący plik docelowy przed próbą otwarcia go (w odróżnieniu od opcji --force)

--sparse=KIEDY
    kontroluje tworzenie tzw. rzadkich plików. Patrz niżej

--strip-trailing-slashes
    usuwa końcowe ukośniki z każdego argumentu ŹRÓDŁO

-s, --symbolic-link
    tworzy dowiązania symboliczne zamiast kopii plików

-S, --suffix=PRZYROSTEK
    używa podanego przyrostka kopii zapasowej zamiast domyślnego

-t, --target-directory=KATALOG
    kopiuje wszystkie argumenty ŹRÓDŁA do KATALOGU

-T, --no-target-directory
    traktuje CEL jako zwykły plik

--update[=UPDATE]
    control which existing files are updated; UPDATE={all,none,older(default)}. See below

-u  equivalent to --update[=older]

-v, --verbose
    wypisuje bieżące działania

-x, --one-file-system
    pozostaje na tym systemie plików

-Z  ustawia kontekst bezpieczeństwa SELinux pliku docelowego na domyślny

--context=KONTEKST
    jak -Z lub jeśli poda się KONTEKST - ustawia kontekst bezpieczeństwa SELinux lub SMACK na KONTEKST

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

ATTR_LIST is a comma-separated list of attributes. Attributes are 'mode' for permissions (including any ACL and xattr permissions), 'ownership' for user and group, 'timestamps' for file timestamps, 'links' for hard links, 'context' for security context, 'xattr' for extended attributes, and 'all' for all attributes.

Domyślnie, tzw. rzadkie pliki ŹRÓDŁOWE są wykrywane przez prymitywną heurystykę i powiązane pliki w CELU są również tworzone jako rzadkie. Jest to zachowanie, które można wybrać opcją --sparse=auto. Wybranie opcji --sparse=always spowoduje utworzenie pliku CELU jako rzadkiego, bez względu na to, czy plik ŹRÓDŁOWY zawiera wystarczająco długą sekwencję bajtów zerowych. Opcja --sparse=never zabroni tworzenia rzadkich plików.

UPDATE controls which existing files in the destination are replaced. 'all' is the default operation when an --update option is not specified, and results in all existing files in the destination being replaced. 'none' is similar to the --no-clobber option, in that no files in the destination are replaced, but also skipped files do not induce a failure. 'older' is the default operation when --update is specified, and results in files being replaced if they're older than the corresponding source file.

W przypadku podania opcji --reflink[=always], tworzona jest lekka kopia, w której bloki danych są kopiowane tylko, gdy zostały zmodyfikowane. Jeśli nie jest to możliwe, to kopiowanie zawodzi lub, jeśli podana jest opcja --reflink=auto, program przechodzi do trybu kopii standardowej. Proszę użyć opcji --reflink=never, aby wymusić wykonanie kopii standardowej.

Przyrostkiem kopii zapasowej jest ~, chyba że ustawiono inny opcją --suffix lub SIMPLE_BACKUP_SUFFIX. Metoda kontroli wersji może zostać wybrana opcją --backup lub zmienną środowiskową VERSION_CONTROL. Dostępne opcje:

none, off
    nigdy nie tworzy kopii zapasowych (nawet jeśli podano opcję --backup)

numbered, t
    tworzy kopie numerowane

existing, nil
    numerowane jeśli istniejące kopie są numerowane, w przeciwnym wypadku proste

simple, never
    zawsze tworzy proste kopie zapasowe

Jako szczególny przypadek cp tworzy kopię zapasową ŹRÓDŁA, jeśli podano opcje force i backup, a ŹRÓDŁO i CEL są tą samą nazwą istniejącego, zwykłego pliku.

AUTOR
Napisane przez Torbjorna Granlunda, Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
install(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/cp>
lub lokalnie, za pomocą info '(coreutils) cp invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.